/*============================================================================
 * adc_init.h
 *      Defines for the ADC module.
 *==========================================================================*/

#ifndef _adc_h_
#define _adc_h_

#define ADPCH_RA6       0x06      
#define ADPCH_RB0       0x08
#define ADPCH_RB6       0x0e
#define ADPCH_RB7       0x0f
#define ADPCH_RC6       0x16
#define ADPCH_RC2       0x12
#define ADPCH_VLCD      0x39
#define ADPCH_VBATT     0x3a

#define ADPCH_MAIN_BATT ADPCH_RB0
// Note: RB6 is shared with the ICSPCLK input.  When the programmer is connected, it
// drives it as an output, which will mess up the battery voltage reading.  Therefore,
// when testing the board with a programmer connected, you will probably want to set the
// threshold voltage for power down to be low.  With the programmer disconnected, it
// should read fine.

#define ADPCH_TS        0x3c

void adc_init(void);
void adc_start(void);
void adc_stop(void);
uint8_t adc_ready(void);
uint16_t adc_read(void);
void adc_set_source(uint8_t source);
void adc_sleep(void);

#endif


