/*============================================================================
 * config.h
 *      Header file for config.c.
 *==========================================================================*/

#ifndef _config_h_
#define _config_h_

typedef struct
{
    uint16_t checksum;
    
    char board_id[16];

    uint16_t time_auto;
    uint16_t time_poll;
    uint16_t time_delay;
    
    uint16_t batt_off_threshold;
    uint16_t batt_on_threshold;

    uint16_t cache_size;
    uint16_t cache_timeout;

    uint8_t ant_start;
    uint8_t ant_stop;

} config_def;

extern config_def system_config;

void config_init(void);
int8_t config_save(void);
int8_t config_load(void);
void config_set_board_id(void);
void config_print(void);
void config_default(void);
void config_set_cache(void);
void config_set_times(void);
void config_set_antenna_switch(void);
void config_set_battery(void);

#endif
