/*============================================================================
 * i2c.h
 *      I2C library header.
 *==========================================================================*/

#ifndef _i2c_h_
#define _i2c_h_

#define I2C_START_WRITE         0
#define I2C_START_READ          1
#define I2C_NO_ACK              0
#define I2C_ACK                 1

void i2c_init(void);
int8_t i2c_start(uint8_t addr, uint8_t r_not_w, uint8_t check_ack);
int8_t i2c_write_byte(uint8_t data, uint8_t check_ack);
int8_t i2c_read_byte(uint8_t *data, uint8_t send_ack);
int8_t i2c_stop(void);
void i2c_sleep(void);

#endif
