/*============================================================================
 * parse.h
 *      Header file for parser functions.
 *==========================================================================*/

#ifndef _parse_h_
#define _parse_h_

#include <inttypes.h>

#define PARSE_INTEGER_SIZE_UINT8                1
#define PARSE_INTEGER_SIZE_UINT32               4

#define PARSE_RADIX_HEX                         1
#define PARSE_RADIX_DEC                         2

typedef char parse_char;

int8_t parse_hex_char(parse_char c);
int8_t parse_dec_char(parse_char c);
int8_t parse_get_numbers(parse_char *buffer,
                         void *buffer_out,
                         uint16_t buffer_out_size,
                         uint16_t *elements_returned,
                         uint8_t int_size,
                         uint8_t radix);

#endif
