/*============================================================================
 * rfid.h
 *      Header file for RFID reader decoder.
 *==========================================================================*/

#ifndef _rfid_h_
#define _rfid_h_

#define RFID_READ_OK            0
#define RFID_READ_TIMEOUT       -1
#define RFID_READ_PARITY        -2

void rfid_init(void);
int8_t rfid_read(uint32_t timeout_ms, uint8_t ant_idx);
void rfid_print_raw_data(void);
void rfid_print_data(void);
void rfid_print_stats(void);
void rfid_sleep(void);
void rfid_write_standby(uint8_t d);
uint8_t rfid_read_output(void);

// Buffer that returns the RFID tag ID
extern uint8_t rfid_data_out[5];

// Some statistics that can be used for debugging
extern uint16_t retry_preamble, retry_data, retry_parity;

// Raw data for debug
extern uint8_t bit_data[11];

#endif
