/*============================================================================
 * timer.h
 *      Higher resolution timer header.
 *==========================================================================*/

#ifndef _timer_h_
#define _timer_h_

#include "mcc_generated_files/mcc.h"

//#define TIMER_PRESCALER_POW     6
#define TIMER_PRESCALER_POW     5
#define TIMER_PRESCALER         (1 << TIMER_PRESCALER_POW)
#define TIMER_FREQ              (_XTAL_FREQ/TIMER_PRESCALER)
#define TIMER_US_TO_TICKS(us)   ((TIMER_FREQ*(us))/1000000)

//#define TIMER_16BIT

#ifdef TIMER_16BIT
#define TIMER_READ              timer_read()
#else
#define TIMER_READ              TMR0L
#endif

#ifdef TIMER_16BIT
typedef uint16_t timer_t;
#else
typedef uint8_t timer_t;
#endif

void timer_init(void);
void timer_reset(void);
void timer_on(void);
void timer_off(void);
timer_t timer_read(void);
void timer_delay_ticks(timer_t tics);
void timer_sleep(void);

#endif
